Loading...
Searching...
No Matches
AVChapter Struct Reference

`#include <libavformat/avformat.h>`

## Data Fields

int64_t | id
| unique ID to identify the chapter
AVRational | time_base
| time base in which the start/end timestamps are specified
int64_t | start
int64_t | end
| chapter start/end time in time_base units
AVDictionary * | metadata

## Detailed Description

Definition at line 1223 of file avformat.h.

## Field Documentation

## id

int64_t AVChapter::id

unique ID to identify the chapter

Definition at line 1224 of file avformat.h.

## time_base

AVRational AVChapter::time_base

time base in which the start/end timestamps are specified

Definition at line 1225 of file avformat.h.

## start

int64_t AVChapter::start

Definition at line 1226 of file avformat.h.

## end

int64_t AVChapter::end

chapter start/end time in time_base units

Definition at line 1226 of file avformat.h.

## metadata

AVDictionary* AVChapter::metadata

Definition at line 1227 of file avformat.h.

The documentation for this struct was generated from the following file:

- libavformat/avformat.h